---
title: shape
slug: Web/CSS/@media/shape
tags:
  - '@media'
  - CSS
  - Reference
  - media feature
---
<div>{{CSSRef}}</div>

<p>The <code>shape</code> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the shape of the device to distinguish recrangular and round displays.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>shape</code> descrete feature is specified as one of two acceptable strings, either <code>rect</code> reprsenting a rectangular screen or <code>round</code> representing a circular, oval or elliptical screen.</p>

<dl>
 <dt><code><dfn>rect</dfn></code></dt>
 <dd>The shape is an axis aligned rectangle or square, or a similar shape such as rounded rectangle for which the traditional designs are appropriate.</dd>
 <dt><code><dfn>round</dfn></code></dt>
 <dd>The shape is rounded or a similar shape to the circle such as an oval, an ellipse for which distinctively rounded designs are appropriate.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;h1&gt;Hello World!&lt;/h1&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">h1 {
  text-align: left;
}

@media (shape: rect) {
  h1 {
    text-align: left;
  }
}

@media (shape: round) {
  h1 {
    text-align: center;
  }
}
</pre>

<h3 id="Custom_stylesheet">Custom stylesheet</h3>

<p>This HTML will apply a special stylesheet for devices that have round screens.</p>

<pre class="brush: html notranslate"><code>&lt;head&gt;
    &lt;link rel="stylesheet" href="default.css" /&gt;</code>
<code>    &lt;link media="screen and (shape: rect)" rel="stylesheet" href="rectangle.css" /&gt;
    &lt;link media="screen and (shape: round)" rel="stylesheet" href="round.css" /&gt;
&lt;/head&gt;
</code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS Round Display', '#shape-media-feature', 'shape')}}</td>
   <td>{{Spec2('CSS Round Display')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.shape")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries">Using Media Queries</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media</a></li>
</ul>
